
Foreman - Feature #2445

Add OS image for AIX

04/30/2013 09:41 AM - Josh Baird

Status: Closed   

Priority: Normal   

Assignee: Bryan Kearney   

Category: Web Interface   

Target version: 1.11.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1106411 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3171,

https://github.com/theforeman/foreman/p

ull/3194

  

Description

Since PE supports AIX naively now, Foreman should have an OS Image for AIX to display like all other operating system images:

http://www.akeastorage.com/themes/prestashop_new/img/nas-advisor/ibm-aix.jpg

Related issues:

Related to Foreman - Bug #799: AIX "operating system" info not appearing on "... Duplicate 03/29/2011

Related to Foreman - Bug #1489: AIX not showing up on Hosts page Closed 02/08/2012

Associated revisions

Revision f6014fbc - 02/11/2016 06:00 AM - Bryan Kearney

Fixes #2445 - Fix some Operating systems icons.

- Added an AIX icon using lzaps dummy languages. Used a green similar to teh AIX logo

- Renamed Freebsd to the text format which is used by the operating system page

Revision 9e02c5f5 - 02/17/2016 07:36 AM - Michael Moll 

refs #2445 -  move back FreeBSD icon

History

#1 - 04/30/2013 10:07 AM - Josh Baird

I can provide a properly sized PNG if needed.

#2 - 04/30/2013 05:51 PM - Anonymous

Related to #799 and #1489

#3 - 10/18/2013 09:02 AM - Benjamin Papillon

- Related to Bug #799: AIX "operating system" info not appearing on "foreman/hosts" page added

#4 - 10/18/2013 09:02 AM - Benjamin Papillon

- Related to Bug #1489: AIX not showing up on Hosts page added

#5 - 01/03/2014 02:29 PM - Dominic Cleal

- Description updated

- Status changed from New to Need more information

From Ruediger's investigation, it appears we can't distribute this image:

https://github.com/theforeman/foreman/pull/999#issuecomment-31214407

Setting to need info until there's either a more royalty-free image, or a suitable licence for redistribution, sorry.
#6 - 01/03/2014 05:40 PM - Lukas Zapletal

I have asked what our options are on Fedora Legal list: https://lists.fedoraproject.org/pipermail/legal/2014-January/002349.html

#7 - 06/25/2014 07:06 AM - Dominic Cleal

- Category set to Web Interface

- Status changed from Need more information to New

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1106411

We should probably use a custom "A" image or something, same as we did for Oracle Linux.

#8 - 06/25/2014 03:03 PM - Lukas Zapletal

I have just created an icon set for this purpose.

If you don't like the colors, generate new set for me. But I've generated "forestgreen" color which is close to what AIX logo use.

#9 - 06/25/2014 03:03 PM - Lukas Zapletal

Oh and the link is: https://github.com/lzap/foreman-dummy-icons

#10 - 02/10/2016 04:18 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Bryan Kearney

- Pull request https://github.com/theforeman/foreman/pull/3171 added

#11 - 02/11/2016 06:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset f6014fbc44632ee0841ebc79f735428d0a9774fd.

#12 - 02/12/2016 06:02 AM - Dominic Cleal

- translation missing: en.field_release set to 71

#13 - 02/16/2016 06:12 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/3194 added
